> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Prospect

POST https://api.propexo.com/crm/v1/prospects/
Content-Type: application/json

Create a prospect for an integration.

Reference: https://docs.propexo.com/api-reference/crm-generic-ap-is/prospects/create-prospect

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _crm_v1_prospects__post_input.

- `integration_id` (string, required)
- `community_id` (string, optional) — The Propexo unique identifier for the community
- `prospect_source` (string, optional) — The name of the source of the lead
- `email_1` (string, optional) — The primary email address associated with the prospect
- `phone_1` (string, optional) — Primary phone number associated with the prospect
- `first_name` (string, optional) — The first name associated with the prospect
- `last_name` (string, optional) — The last name associated with the prospect
- `move_in_date` (CrmV1ProspectsPostInputMoveInDate, optional) — The move-in date associated with the prospect
- `rent_minimum_in_cents` (integer, optional) — The minimum rent of the prospect
- `rent_maximum_in_cents` (integer, optional) — The maximum rent of the prospect
- `notes` (string, optional) — Notes associated with the prospect
- `desired_num_bedrooms` (list of integer, optional) — The number of bedrooms associated with the prospect. RentCafe only takes a single value for the desired bedrooms. All values other than the first are ignored. This is for compatibility with the other CRM endpoints.
- `lease_term_in_months` (integer, optional) — The amount of months for the lease term
- `phone_2` (string, optional) — Secondary phone number associated with the prospect
- `pets` (list of enum, optional) — A list of pets related to the prospect
  - Allowed values: `SMALL_DOG`, `LARGE_DOG`, `CAT`
- `attribution_id` (string, optional) — The Propexo unique identifier for the attribution
- `agent_id` (string, optional) — The Propexo unique identifier for the agent
- `address_1` (string, optional) — The first address line associated with the prospect
- `city` (string, optional) — The city associated with the prospect
- `state` (string, optional) — The state associated with the prospect
- `zip` (string, optional) — The zip code associated with the prospect
- `number_of_occupants` (integer, optional) — The number of occupants living in the unit
- `subscribe` (boolean, optional) — Whether or not to subscribe the prospect to automated Rentcafe email messaging.
- `first_contact_type` (enum, optional) — The type of initial contact with the prospect
  - Allowed values: `CALL`, `CHAT`, `EMAIL`, `FACEBOOK`, `FORM`, `INTERNET`, `KNOCK_SCHEDULE`, `SMS`, `WALK_IN`
- `middle_name` (string, optional) — The middle name associated with the prospect
- `address_2` (string, optional) — The second address line associated with the prospect
- `country` (string, optional) — The country associated with the prospect
- `preferred_contact_method` (enum, optional) — The way the prospect prefers to be contacted
  - Allowed values: `NONE`, `CALL`, `TEXT`, `EMAIL`

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (CrmV1ProspectsPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1ProspectsPostInputMoveInDate

The move-in date associated with the prospect

### CrmV1ProspectsPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}
```

**Response**

```json
{
  "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/prospects/"

payload = { "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/prospects/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/prospects/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/prospects/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/crm/v1/prospects/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/crm/v1/prospects/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/prospects/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/prospects/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```